
<div class="card">
  <div class="card-body">
    <h5 class="card-title">Crear Reserva</h5>
    <form (ngSubmit)="crear(formCambioPass)" #formCambioPass="ngForm">
      
      


    <div class="mb-3">
      <label for="exampleInputPassword1" class="form-label">Restaurante</label>
      <select [(ngModel)]="new.id_restaurante" [ngModelOptions]="{standalone: true}" (ngModelChange)="getMesas()">
        <option [ngValue]="null" disabled>Seleccionar restaurante</option>
        <option *ngFor="let r of restaurantes" [ngValue]="r.id">{{r.nombre}}</option>
      </select>
    </div>

    <div class="mb-3">
      <label for="exampleInputPassword1" class="form-label">Cantidad de personas</label>
      <input type="text" class="form-control" id="exampleInputPasswordconfir" required
        [(ngModel)]="new.cantidad_solicitada" [ngModelOptions]="{standalone: true} " (ngModelChange)="getMesas()">
    </div>


    <div class="mb-3">
      <label for="exampleInputPassword1" class="form-label">Mesa</label>
      <select [(ngModel)]="new.id_mesa" [ngModelOptions]="{standalone: true}" >
        <option [ngValue]="null" disabled>Seleccionar mesa</option>
        <option *ngFor="let m of mesas" [ngValue]="m.id">{{m.nombre_mesa + ' capadidad: '+ m.capacidad}}</option>
      </select>
    </div>

    


      

    <div class="mb-3">
      <label for="exampleInputPassword1" class="form-label">Cedula de cliente</label>
      <input type="text" class="form-control" id="exampleInputPasswordconfir" required
          [(ngModel)]="cliente.cedula" [ngModelOptions]="{standalone: true}"(ngModelChange)="getCliente()">
          <!-- <p>{{this.cliente.nombre + ' ' +this.cliente.apellido}}</p> -->
    </div>


    <div class="mb-3">
      <label for="exampleInputPassword1" class="form-label">Nombre</label>
      <input type="text" class="form-control" id="exampleInputPasswordconfir" required
          [(ngModel)]="cliente.nombre" [ngModelOptions]="{standalone: true}" [disabled]="existeCliente">
          
    </div>

    <div class="mb-3">
      <label for="exampleInputPassword1" class="form-label">Apellido</label>
      <input type="text" class="form-control" id="exampleInputPasswordconfir" required
          [(ngModel)]="cliente.apellido" [ngModelOptions]="{standalone: true}" [disabled]="existeCliente">
    </div>
    
      

      <!-- <div class="mb-3">
        <label for="exampleInputPassword1" class="form-label">ID Cliente</label>
        <input type="text" class="form-control" id="exampleInputPasswordconfir" required
          [(ngModel)]="new.id_cliente" [ngModelOptions]="{standalone: true}">
      </div> -->

      <div class="mb-3">
        <label for="exampleInputPassword1" class="form-label">Fecha</label>
        <input type="date" class="form-control" id="exampleInputPasswordconfir" required
          [(ngModel)]="new.fecha" [ngModelOptions]="{standalone: true}">
      </div>

      <div class="mb-3">
        <label for="exampleInputPassword1" class="form-label">Hora inicio</label>
        <input type="text" class="form-control" id="exampleInputPasswordconfir" required
          [(ngModel)]="new.hora_inicio" [ngModelOptions]="{standalone: true}">
      </div>

      <div class="mb-3">
        <label for="exampleInputPassword1" class="form-label">Hora fin</label>
        <input type="text" class="form-control" id="exampleInputPasswordconfir" required
          [(ngModel)]="new.hora_fin" [ngModelOptions]="{standalone: true}">
      </div>

      <br>
      <div style="color:forestgreen">
        <p class="color:red">{{exito.message}}</p>
      </div>
      <div style="color:red">
        <p class="color:red">{{error.message}}</p>
      </div>
      
      <button type="submit" class="btn btn-primary">Submit</button>
    </form>
  </div>
</div>


